> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.tabs.com/api-reference/contracts/integrators-api-contractsv-3-controller-delete-commitment-schedule/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server. # Delete commitment schedule DELETE https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/commitments/{commitmentId}/schedules/{scheduleId} Content-Type: application/json Reference: https://docs.tabs.com/api-reference/contracts/integrators-api-contractsv-3-controller-delete-commitment-schedule ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) — Contract Id - `commitmentId` (string, required) — Commitment Id - `scheduleId` (string, required) — Schedule Id (must be the last non-deleted schedule) ### Body (application/json) This endpoint expects a DeleteScheduleRequestDto. - `cascadeBillingTerms` (boolean, required) — Required. Container and overage BTs are always torn down on schedule deletion regardless of this flag. When true, base BT endDates are also re-synced (shortened) so they no longer extend through the deleted schedule's date range. When false, base BTs are left untouched and the caller owns realignment. ## Response ### 200 Schedule deleted - `payload` (V3ContractsIdCommitmentsCommitmentIdSchedulesScheduleIdDeleteResponsesContentApplicationJsonSchemaPayload, required) — Response payload, will be empty when success is false - `success` (boolean, required) — Boolean with true=success, false=failure - `message` (string, required) — Plain-text description of the result - `error` (IntegratorsApiError, optional) — json element with any error messages or warnings ## Errors ### 400 Bad Request Error Schedule is not the last, only schedule, or has invoiced periods - `any` ### 403 Forbidden Error Commitments v2 is not enabled for this manufacturer - `any` ### 404 Not Found Error Schedule not found on commitment - `any` ## Types ### V3ContractsIdCommitmentsCommitmentIdSchedulesScheduleIdDeleteResponsesContentApplicationJsonSchemaPayload Response payload, will be empty when success is false - `success` (boolean, optional) ### IntegratorsApiError - `code` (double, required) — API response code - `message` (string, required) — API response message - `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error ### IntegratorsApiErrorDetails Additional details about the error ## Examples **Request** ```json { "cascadeBillingTerms": true } ``` **Response** ```json { "payload": { "success": true }, "success": true, "message": "string", "error": { "code": 1.1, "message": "string", "details": {} } } ``` **SDK Code** ```python import requests url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId" payload = { "cascadeBillingTerms": True } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.delete(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId'; const options = { method: 'DELETE', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"cascadeBillingTerms":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId" payload := strings.NewReader("{\n \"cascadeBillingTerms\": true\n}") req, _ := http.NewRequest("DELETE", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Delete.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"cascadeBillingTerms\": true\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.delete("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"cascadeBillingTerms\": true\n}") .asString(); ``` ```php request('DELETE', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId', [ 'body' => '{ "cascadeBillingTerms": true }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId"); var request = new RestRequest(Method.DELETE); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"cascadeBillingTerms\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["cascadeBillingTerms": true] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/commitments/commitmentId/schedules/scheduleId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```